Interface IP address VS MAC address.
OID reference
nmsIpMacAddress
1.3.6.1.4.1.171.2.237.2.1.5
Description
Interface IP address VS MAC address.
Identification
Identifier and names
- Parent
- 1.3.6.1.4.1.171.2.237.2.1 (ipAddrTableEntry)
- Node code
- 5
- Node name
- nmsIpMacAddress
- Category
- SNMP management object
- Numeric OID
- 1.3.6.1.4.1.171.2.237.2.1.5
- URN notation
- urn:oid:1.3.6.1.4.1.171.2.237.2.1.5
ASN.1, OID-IRI and named path variants
- ASN.1 notation
-
{1 3 6 1 4 1 171 2 237 2 1 5}
- {iso(1) identified-organization(3) dod(6) internet(1) private(4) enterprise(1) dlink(171) hubmib(2) ipAddr(237) ipAddrTable(2) ipAddrTableEntry(1) nmsIpMacAddress(5)}
- {iso(1) identified-organization(3) dod(6) internet(1) private(4) enterprise(1) dlink(171) nmslocal(2) ipAddr(237) ipAddrTable(2) ipAddrTableEntry(1) nmsIpMacAddress(5)}
- {iso(1) identified-organization(3) dod(6) internet(1) private(4) enterprise(1) d-link(171) hubmib(2) ipAddr(237) ipAddrTable(2) ipAddrTableEntry(1) nmsIpMacAddress(5)}
- {iso(1) identified-organization(3) dod(6) internet(1) private(4) enterprise(1) d-link(171) nmslocal(2) ipAddr(237) ipAddrTable(2) ipAddrTableEntry(1) nmsIpMacAddress(5)}
- {iso(1) identified-organization(3) dod(6) internet(1) private(4) enterprise(1) company(171) hubmib(2) ipAddr(237) ipAddrTable(2) ipAddrTableEntry(1) nmsIpMacAddress(5)}
- {iso(1) identified-organization(3) dod(6) internet(1) private(4) enterprise(1) company(171) nmslocal(2) ipAddr(237) ipAddrTable(2) ipAddrTableEntry(1) nmsIpMacAddress(5)}
- {iso(1) identified-organization(3) dod(6) internet(1) private(4) enterprise(1) my(171) hubmib(2) ipAddr(237) ipAddrTable(2) ipAddrTableEntry(1) nmsIpMacAddress(5)}
- {iso(1) identified-organization(3) dod(6) internet(1) private(4) enterprise(1) my(171) nmslocal(2) ipAddr(237) ipAddrTable(2) ipAddrTableEntry(1) nmsIpMacAddress(5)}
- {iso(1) identified-organization(3) dod(6) internet(1) private(4) enterprise(1) nms(171) hubmib(2) ipAddr(237) ipAddrTable(2) ipAddrTableEntry(1) nmsIpMacAddress(5)}
- {iso(1) identified-organization(3) dod(6) internet(1) private(4) enterprise(1) nms(171) nmslocal(2) ipAddr(237) ipAddrTable(2) ipAddrTableEntry(1) nmsIpMacAddress(5)}
- {iso(1) identified-organization(3) dod(6) internet(1) private(4) enterprises(1) dlink(171) hubmib(2) ipAddr(237) ipAddrTable(2) ipAddrTableEntry(1) nmsIpMacAddress(5)}
- {iso(1) identified-organization(3) dod(6) internet(1) private(4) enterprises(1) dlink(171) nmslocal(2) ipAddr(237) ipAddrTable(2) ipAddrTableEntry(1) nmsIpMacAddress(5)}
- {iso(1) identified-organization(3) dod(6) internet(1) private(4) enterprises(1) d-link(171) hubmib(2) ipAddr(237) ipAddrTable(2) ipAddrTableEntry(1) nmsIpMacAddress(5)}
- {iso(1) identified-organization(3) dod(6) internet(1) private(4) enterprises(1) d-link(171) nmslocal(2) ipAddr(237) ipAddrTable(2) ipAddrTableEntry(1) nmsIpMacAddress(5)}
- {iso(1) identified-organization(3) dod(6) internet(1) private(4) enterprises(1) company(171) hubmib(2) ipAddr(237) ipAddrTable(2) ipAddrTableEntry(1) nmsIpMacAddress(5)}
- {iso(1) identified-organization(3) dod(6) internet(1) private(4) enterprises(1) company(171) nmslocal(2) ipAddr(237) ipAddrTable(2) ipAddrTableEntry(1) nmsIpMacAddress(5)}
- Additional combinations skipped.
- OID-IRI notation
- /1/3/6/1/4/1/171/2/237/2/1/5
- /ISO/Identified-Organization/6/1/4/1/171/2/237/2/1/5
- /ISO/3/6/1/4/1/171/2/237/2/1/5
- Named path variants
- /iso/identified-organization/dod/internet/private/enterprise/dlink/hubmib/ipAddr/ipAddrTable/ipAddrTableEntry/nmsIpMacAddress
- /iso/identified-organization/dod/internet/private/enterprise/dlink/nmslocal/ipAddr/ipAddrTable/ipAddrTableEntry/nmsIpMacAddress
- /iso/identified-organization/dod/internet/private/enterprise/d-link/hubmib/ipAddr/ipAddrTable/ipAddrTableEntry/nmsIpMacAddress
- /iso/identified-organization/dod/internet/private/enterprise/d-link/nmslocal/ipAddr/ipAddrTable/ipAddrTableEntry/nmsIpMacAddress
- /iso/identified-organization/dod/internet/private/enterprise/company/hubmib/ipAddr/ipAddrTable/ipAddrTableEntry/nmsIpMacAddress
- /iso/identified-organization/dod/internet/private/enterprise/company/nmslocal/ipAddr/ipAddrTable/ipAddrTableEntry/nmsIpMacAddress
- /iso/identified-organization/dod/internet/private/enterprise/my/hubmib/ipAddr/ipAddrTable/ipAddrTableEntry/nmsIpMacAddress
- /iso/identified-organization/dod/internet/private/enterprise/my/nmslocal/ipAddr/ipAddrTable/ipAddrTableEntry/nmsIpMacAddress
- /iso/identified-organization/dod/internet/private/enterprise/nms/hubmib/ipAddr/ipAddrTable/ipAddrTableEntry/nmsIpMacAddress
- /iso/identified-organization/dod/internet/private/enterprise/nms/nmslocal/ipAddr/ipAddrTable/ipAddrTableEntry/nmsIpMacAddress
- /iso/identified-organization/dod/internet/private/enterprises/dlink/hubmib/ipAddr/ipAddrTable/ipAddrTableEntry/nmsIpMacAddress
- /iso/identified-organization/dod/internet/private/enterprises/dlink/nmslocal/ipAddr/ipAddrTable/ipAddrTableEntry/nmsIpMacAddress
- /iso/identified-organization/dod/internet/private/enterprises/d-link/hubmib/ipAddr/ipAddrTable/ipAddrTableEntry/nmsIpMacAddress
- /iso/identified-organization/dod/internet/private/enterprises/d-link/nmslocal/ipAddr/ipAddrTable/ipAddrTableEntry/nmsIpMacAddress
- /iso/identified-organization/dod/internet/private/enterprises/company/hubmib/ipAddr/ipAddrTable/ipAddrTableEntry/nmsIpMacAddress
- /iso/identified-organization/dod/internet/private/enterprises/company/nmslocal/ipAddr/ipAddrTable/ipAddrTableEntry/nmsIpMacAddress
- Additional combinations skipped.
SNMP properties
- Value type
- PhysAddress
- Maximum access defined by MIB
- read-only
- Status in MIB
- mandatory
Properties come from available MIB definitions. Actual device support and access can differ. See source records below for original files and qualifications.
Published definition
The displayed source records contain one distinct definition. Compare its source records.
nmsIpMacAddress OBJECT-TYPE
SYNTAX PhysAddress
ACCESS read-only
STATUS mandatory
DESCRIPTION
"Interface IP address VS MAC address. "
::= { ipAddrTableEntry 5 }
Meaning
Descriptions
Identical descriptions are grouped. Different wording and device-specific notes are retained.
Evidence
Source records
Matching descriptions are grouped; open a group to compare definitions and supporting files.
Records for description 1D-Link official switch MIBs
nmsIpMacAddress · mandatoryD-Link official switch MIBs
Status in source: mandatory.
Names: nmsIpMacAddress
Technical details
{
"smi_kind": "OBJECT-TYPE",
"definition": [
"nmsIpMacAddress",
"OBJECT-TYPE",
"SYNTAX",
"PhysAddress",
"ACCESS",
"read-only",
"STATUS",
"mandatory",
"DESCRIPTION",
"\"Interface IP address VS MAC address. \"",
"::=",
"{",
"ipAddrTableEntry",
"5",
"}"
],
"syntax_tree": [
[
"row",
"PhysAddress"
],
null,
[
"MaxAccessPart",
"read-only"
],
[
"Status",
"mandatory"
],
[
"DESCRIPTION",
"Interface IP address VS MAC address."
],
null,
null,
null,
null
]
}- D-Link official switch MIBs
· Publisher's source file: Source package: Private MIB.zip
Module: NMS-IP-ADDRESS-MIB
See published definition above
· Download NMS-IP-ADDRESS-MIB.mibModule imports
{'NMS-SMI': ['nmslocal'], 'RFC-1212': ['OBJECT-TYPE'], 'SNMPv2-TC': ['TruthValue', 'RowStatus'], 'RFC1155-SMI': ['TimeTicks', 'IpAddress'], 'RFC1213-MIB': ['DisplayString', 'PhysAddress']}Related source files and packages:
Show all 6 related files and packages
Same file in Private MIB.zip.
Same file in Private MIB.zip.
Same file in Private MIB.zip.
Same file in Private MIB.zip.
Registration
Registration authorities
First Registration Authority (inferred from ancestor 1.3.6.1.4.1.171)
Siblings (5)
| OID | Name | Direct children | Descendants | Description |
|---|---|---|---|---|
| 1.3.6.1.4.1.171.2.237.2.1.1 | nmsIpEntAddr | 0 | 0 | |
| 1.3.6.1.4.1.171.2.237.2.1.2 | nmsIpEntIfindex | 0 | 0 | |
| 1.3.6.1.4.1.171.2.237.2.1.3 | nmsIpEntNetMask | 0 | 0 | |
| 1.3.6.1.4.1.171.2.237.2.1.4 | nmsIpEntRowStatus | 0 | 0 | |
| 1.3.6.1.4.1.171.2.237.2.1.6 | nmsIpIsSecondary | 0 | 0 |